All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::scalar_matrix< NumericT > Class Template Reference

Represents a vector consisting of scalars 's' only, i.e. v[i] = s for all i. To be used as an initializer for viennacl::vector, vector_range, or vector_slize only. More...

`#include <matrix_def.hpp>`

Inheritance diagram for viennacl::scalar_matrix< NumericT >:

## Public Types

typedef vcl_size_t | size_type
typedef NumericT const & | const_reference
Public Types inherited from viennacl::implicit_matrix_base< NumericT >
typedef NumericT const & | const_reference
typedef NumericT | cpu_value_type

## Public Member Functions

| scalar_matrix (size_type s1, size_type s2, const_reference val, viennacl::context ctx=viennacl::context())
Public Member Functions inherited from viennacl::implicit_matrix_base< NumericT >
size_type | size1 () const
size_type | size2 () const
viennacl::context | context () const
NumericT | value () const
bool | diag () const
const_reference | operator() (size_type i, size_type j) const

## Additional Inherited Members

Protected Types inherited from viennacl::implicit_matrix_base< NumericT >
typedef vcl_size_t | size_type
Protected Member Functions inherited from viennacl::implicit_matrix_base< NumericT >
| implicit_matrix_base (size_type size1, size_type size2, NumericT value, bool diag, viennacl::context ctx)
Protected Attributes inherited from viennacl::implicit_matrix_base< NumericT >
size_type | size1_
size_type | size2_
NumericT | value_
bool | diag_
NumericT | off_diag_
viennacl::context | ctx_

## Detailed Description

### template<typename NumericT>
class viennacl::scalar_matrix< NumericT >

Represents a vector consisting of scalars 's' only, i.e. v[i] = s for all i. To be used as an initializer for viennacl::vector, vector_range, or vector_slize only.

Definition at line 93 of file matrix_def.hpp.

## Member Typedef Documentation

template<typename NumericT>

typedef NumericT const& viennacl::scalar_matrix< NumericT >::const_reference

Definition at line 97 of file matrix_def.hpp.

template<typename NumericT>

typedef vcl_size_t viennacl::scalar_matrix< NumericT >::size_type

Definition at line 96 of file matrix_def.hpp.

## Constructor & Destructor Documentation

template<typename NumericT>

viennacl::scalar_matrix< NumericT >::scalar_matrix | ( | size_type | s1,
|  | size_type | s2,
|  | const_reference | val,
|  | viennacl::context | ctx = `viennacl::context()`
| ) |  |

inline

Definition at line 99 of file matrix_def.hpp.

The documentation for this class was generated from the following file:

- viennacl/detail/matrix_def.hpp